avast! Antivirus Device Driver Memory Overwrite Vulnerability

Piotr Bania has reported a vulnerability in avast! Antivirus, which can be exploited by malicious, local users to cause a DoS (Denial of Service) or gain escalated privileges. The vulnerability is caused due to missing input validation in the device driver and can be exploited to overwrite arbitrary memory via signals with specially crafted input.  Successful exploitation allows execution of arbitrary code with escalated privileges.


The vulnerability has been reported in version 4.6. Other versions may also be affected.


Solution: Update to version 4.6.665 or later.


http://secunia.com/advisories/15495/


 

Leave a Reply